## cherrypy3 3.1.0-0maemo7

=== debian/changelog ===
cherrypy3 (3.1.0-0maemo7) stable; urgency=low

  * Added maemo support

 -- José Luís do Nascimento <jluisn@gmail.com>  Tue, 27 Jul 2008 16:38:36 +0300

cherrypy3 (3.0.2-2) unstable; urgency=low

  [ Piotr Ożarowski ]
  * Vcs-Browser and Homepage fields added
  * Rename XS-Vcs-Svn to Vcs-Svn

  [ Sandro Tosi ]
  * debian/control
    - fix Vcs-Browser field

  [ Gustavo Noronha Silva ]
  * This update addresses the following security issue:
    - Directory traversal vulnerability in the _get_file_path function
      in filter/sessionfilter.py allows remote attackers to create or
      delete arbitrary files, and possibly read and write portions of
      arbitrary files, via a crafted session id in a cookie
      (CVE-2008-0252).
  * debian/control:
  - updated standards-version to 3.7.3; no changes

 -- Gustavo Noronha Silva <kov@debian.org>  Thu, 24 Jan 2008 14:30:48 -0200

cherrypy3 (3.0.2-1) unstable; urgency=low

  * New upstream release
  * debian/rules:
  - call epydoc with full-name arguments; thanks to Cyril Brulebois
    <cyril.brulebois@enst-bretagne.fr> for providing the fix.
    (Closes: #433904)
  * debian/python-cherrypy3.doc-base.api:
  - fix HTML files location

 -- Gustavo Noronha Silva <kov@debian.org>  Thu, 09 Aug 2007 21:14:40 -0300

cherrypy3 (3.0.1-2) unstable; urgency=low

  [ Piotr Ożarowski ]
  * New python-support handles egg's directory name correctly
    - bump python-support required version
    - remove mv part from debian/rules
    (Closes: #423749)

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 19 May 2007 17:01:51 -0300

cherrypy3 (3.0.1-1) unstable; urgency=low

  * New upstream release
  * debian/watch:
  - updated to understand the new layout of the new download
    source for CherryPy
  * debian/rules:
  - I heartly agree with Sam Clegg on this; the tutorial should be
    in /usr/share/doc/python-cherrypy3, not inside the Python package
    namespace (Closes: #415526)
  * debian/control:
  - updated python-support and python-all-dev version requirements
    and moved them to build-deps because they are needed on clean
  * debian/control, debian/rules, debian/python-cherrypy3.doc-base.api,
    debian/python-cherrypy3.install:
  - build API documentation as a step in the package build and install
    it; this uses epydoc

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 21 Apr 2007 14:40:09 -0300

cherrypy3 (3.0.0-1) unstable; urgency=low

  * New upstream release
  * debian/control:
  - updated for the new source and binary packages names
  - conflict with python-cherrypy
  - add source information for new python policy
  * debian/pyversions:
  - added; was missing
  * debian/README.Debian:
  - document that this version of CherryPy is incompatible with
    2.2, and where to find the upgrade instructions
  * debian/rules, debian/source.lintian-overrides:
  - updated for the new package name
  * debian/rules:
  - cleaning up for newer cdbs version
  * debian/patches/00_supress_profiler_warning.diff:
  - updated for the new version

  * Piotr Ozarowski <ozarow@gmail.com>:
  - Added XS-Vcs-Svn field

 -- Gustavo Noronha Silva <kov@debian.org>  Mon,  8 Jan 2007 22:51:47 -0200

python-cherrypy (2.2.1-3) unstable; urgency=low

  * debian/rules, debian/control:
  - updated to follow the new Python Policy, build-depending on the
    newest versions of cdbs, python-support and debhelper
    (Closes: #373517)
  * debian/python-cherrypy.{postinst,prerm}:
  - removed; generated by python-support

 -- Gustavo Noronha Silva <kov@debian.org>  Sun,  4 Jun 2006 23:50:37 -0300

python-cherrypy (2.2.1-2) unstable; urgency=low

  * debian/patches/02_eggify.diff:
  - fixed to only patch setup.py, so that it imports setup
    from setuptools instead of distutils; ez_setup is not
    needed
  * debian/patches/00_supress_profiler_warning.diff:
  - stop warning about the profiler module not being packaged
    in the main python distribution; that is documented in
    README.Debian
  * debian/control:
  - move python and python-setuptools to Build-Depends,
    since they are needed at the clean target
  * debian/watch:
  - new uscan support file, using the sf.net trick

 -- Gustavo Noronha Silva <kov@debian.org>  Sun,  4 Jun 2006 23:44:26 -0300

python-cherrypy (2.2.1-1) unstable; urgency=low

  * debian/patches/*:
  - renamed to have numbers defining the order in which they
    should be applied
  * debian/README.Debian:
  - added, documenting the Python profiler only being available
    in a non-free package problem
  * debian/rules, debian/python-cherrypy.{postinst,prerm}:
  - install py files to the python-cherrypy instead of cherrypy
    for python-support; using the package name is the correct,
    documented way of doing it.
  * debian/patches/01_auto-reload-with-python-support.diff:
  - removed because python-support >= 0.2, which I depend upon
    provides symlinks for the .py files;
  * debian/control:
  - depend on python-support >= 0.2; see above
  - Standards-Version to 3.7.2, no changes

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 13 May 2006 17:06:10 -0300

python-cherrypy (2.2.0-3) unstable; urgency=low

  * Upload to unstable (duh)

 -- Gustavo Noronha Silva <kov@debian.org>  Thu,  4 May 2006 00:25:21 -0300

python-cherrypy (2.2.0-2) experimental; urgency=low

  * debian/source.lintian-overrides:
  - this package needs debhelper and cdbs for the clean target
    to be run
  * debian/control:
  - increased Standards-Version to 3.7 with no changes
  * debian/rules:
  - use --install-lib instead of moving stuff manually
  - also install tutorial and test using --install-data

 -- Gustavo Noronha Silva <kov@debian.org>  Thu,  4 May 2006 00:00:28 -0300

python-cherrypy (2.2.0-1) unstable; urgency=low

  * New upstream release
  * debian/control, debian/rules:
  - no longer provides the transition packages for cherrypy2.1
  * debian/patches/auto-reload-with-python-support.diff:
  - updated for the new version
  * debian/control:

