## cherrypy3 3.2.2

=== debian/changelog ===
cherrypy3 (3.2.2-4ubuntu5) trusty; urgency=medium

  * Use python3:* variables in debian/control.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 25 Mar 2014 17:01:18 +0100

cherrypy3 (3.2.2-4ubuntu4) trusty; urgency=medium

  * debian/control: Add depends on python-routes and python3-routes. LP: #463065

 -- Jackson Doak <noskcaj@ubuntu.com>  Mon, 24 Feb 2014 11:50:43 +1100

cherrypy3 (3.2.2-4ubuntu3) trusty; urgency=medium

  * debian/rules: Move cherryd to /usr/sbin/ where it belongs and the test
    suite expects it.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 17 Jan 2014 11:29:42 +0100

cherrypy3 (3.2.2-4ubuntu2) trusty; urgency=low

  * Fix typo in name of the dep8 test script (LP: #1244908)
  * Add missing test dependency on '@' (LP: #1244910)

 -- Jean-Baptiste Lallement <jean-baptiste.lallement@canonical.com>  Sat, 26 Oct 2013 12:53:19 +0200

cherrypy3 (3.2.2-4ubuntu1) saucy; urgency=low

  * debian/control, debian/tests: Add autopkgtest.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 27 Sep 2013 09:23:21 -0400

cherrypy3 (3.2.2-4) unstable; urgency=low

  * Team upload.
  * Switch to "3.0 (quilt)" source, to actually apply patches.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 20 Sep 2013 20:23:21 +0100

cherrypy3 (3.2.2-3) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.
  * Drop obsolete Conflicts with python2.3-cherrypy and python2.4-cherrypy.
  * Fix a typo in README.Debian.

  [ Dmitrijs Ledkovs ]
  * Team upload
  * Add python3 package (Closes: #714403)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Sun, 08 Sep 2013 20:54:01 +0100

cherrypy3 (3.2.2-2) unstable; urgency=low

  * Team upload.
  * Set PYTHONPATH when running help2man (closes: #655166). Thanks to Stéphane
    Graber for the bug report and for the patch.

 -- Jakub Wilk <jwilk@debian.org>  Wed, 08 Feb 2012 22:39:13 +0100

cherrypy3 (3.2.2-1) unstable; urgency=low

  [ JCF Ploemen ]
  * New upstream release (Closes: #571196).
  * Bumped Standards-Version to 3.8.4 (no changes needed).
  * Removing patch 02: no longer needed, incorporated upstream.
  * Updating patch 00 to match release.
  * Install cherryd man page via debian/manpages.
  * debian/copyright:
    + Added notice for cherrypy/lib/httpauth.py.
    + Fixed years.
  * debian/watch:
    + Don't hit on the -py3 release by blocking '-' from the version.
    + Mangle upstream version, inserting a tilde for beta/rc.

  [ Stéphane Graber <stgraber@ubuntu.com> ]
   * Convert from python-support to dh_python2 (#654375)
    - debian/pyversions: Removed (no longer needed)
    - debian/rules
     + Replace call to dh_pysupport by dh_python2
     + Add --with=python2 to all dh calls
    - debian/control
     + Drop build-depends on python-support
     + Bump build-depends on python-all to >= 2.6.6-3~
     + Replace XS-Python-Version by X-Python-Version
     + Remove XB-Python-Version from binary package

  [ Gustavo Noronha ]
  * debian/control, debian/rules, debian/manpages:
   - use help2man to generate a manpage for cherryd at build time, since
    one is no longer shipped along with the source code
  * debian/control:
  - add python-nose to Build-Depends, since it's used during the
    documentation build for cross-reference generation

 -- Gustavo Noronha Silva <kov@debian.org>  Fri, 06 Jan 2012 10:13:27 -0200

cherrypy3 (3.1.2-1) unstable; urgency=low

  * New upstream release (Closes: #528473)
  * debian/rules:
  - use the quilt make include file instead of using custom code; should
    make the package convertable to the new quilt source format
    (Closes: #538677)
  * debian/control:
  - updated Standards-Version with no changes
  * debian/python-cherrypy3.links:
  - fix link to point to the new place where python-support installs files

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 15 Aug 2009 14:52:43 -0300

cherrypy3 (3.1.1-3) unstable; urgency=low

  [ Bernd Zeimetz ]
  * debian/rules: Fixed to work with dh >= 7.3.5 which will build with all
    installed Python versions.
  * debian/control: Replace the python-all-dev Build-Dep by python-all.
    Cherrypy doesn't build extensions, so we don't need the C headers.

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Tue, 21 Jul 2009 11:04:48 +0200

cherrypy3 (3.1.1-2) unstable; urgency=low

  * Making lintian happy release
  - uploading to unstable
  * debian/control:
  - added ${misc:Depends} to python-cherrypy3's Depends line
  * debian/rules, debian/control:
  - use debhelper 7 instead of cdbs; this rework also makes our
    installation process stop depending on python-support locations
    (Closes: #516144)
  - use quilt for patches
  * debian/README.source:
  - added, to document usage of quilt
  * debian/rules:
  - remove aditional LICENSE.txt file that is being installed
  * debian/rules, debian/python-cherrypy3.dirs, debian/python-cherrypy3.links,
    debian/patches/01_cherryd_location_fix.diff:
  - don't move the tutorial module to the documentation directory, since
    the cherrypy test structure, which is useful, actually wants to have
    it where it is; move the cherryd utility to /usr/sbin; the patch fixes
    where the tests want to run cherryd from
  * debian/python-cherrypy3.doc-base.api:
  - fixed manual section
  * debian/source.lintian-overrides:
  - removed; no longer needed

 -- Gustavo Noronha Silva <kov@debian.org>  Sun, 22 Feb 2009 14:20:28 -0300

cherrypy3 (3.1.1-1) experimental; urgency=low

  [ Gustavo Noronha Silva ]
  * New upstream version
  * debian/patches/03_CVE-2008-0252.diff:
  - removed; applied upstream
  * debian/control:
  - remove -1 from build-dependency
  - upgrade Standards-Version to 3.8.0, with no further changes

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

 -- Gustavo Noronha Silva <kov@debian.org>  Wed, 01 Oct 2008 08:21:45 -0300
