=== debian/control ===
--- 
+++ 
@@ -1,16 +1,24 @@
 Source: cherrypy3
 Section: python
 Priority: optional
-Maintainer: Jose Luis do Nascimento <jluisn@garage.maemo.org>
-Build-Depends: debhelper (>= 5.0.38), python2.5, python2.5-dev
-Standards-Version: 3.7.3
-XS-Python-Version: >= 2.3
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Gustavo Noronha Silva <kov@debian.org>
+Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Build-Depends: debhelper (>= 9), python-setuptools (>= 0.6a9), python-all (>= 2.6.6-3~), help2man, python-nose, python3-all, python3-nose, python3-setuptools, dh-python
+Build-Depends-Indep: python-epydoc
+Standards-Version: 3.8.4
+Homepage: http://www.cherrypy.org/
+X-Python-Version: >= 2.3
+X-Python3-Version: >= 3.2
+XS-Testsuite: autopkgtest
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/cherrypy3/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/cherrypy3/trunk/
 
-Package: python2.5-cherrypy3
+Package: python-cherrypy3
 Architecture: all
-Depends: ${python:Depends}, python2.5
-Provides: ${python:Provides}
-XB-Python-Version: ${python:Versions}
+Depends: ${python3:Depends}, ${misc:Depends}, python-routes
+Provides: ${python3:Provides}
+Conflicts: python-cherrypy
 Description: Python web development framework - version 3
  CherryPy is a pythonic, object-oriented web development framework. It
  provides the foundation over which complex web-based applications can
@@ -29,3 +37,25 @@
  .
  This version is backwards incompatible with the 2.2 version in some
  ways. See http://www.cherrypy.org/wiki/UpgradeTo30.
+
+Package: python3-cherrypy3
+Architecture: all
+Depends: ${python3:Depends}, ${misc:Depends}, python3-routes
+Description: Python 3 web development framework - version 3
+ CherryPy is a pythonic, object-oriented web development framework. It
+ provides the foundation over which complex web-based applications can
+ be written, with little or no knowledge of the underlying
+ protocols. CherryPy allows developers to build web applications in
+ much the same way they would build any other object-oriented Python
+ program. This usually results in smaller source code developed in
+ less time.
+ .
+ CherryPy is up-to-date with the latest developments on using Python
+ for web development: it features a bundled WSGI server, and is able
+ to integrate with other dispatching mechanisms, such as
+ Routes. CherryPy can be run as a standalone application, since it
+ provides its own HTTP server; setting it up behind another HTTP
+ server, such as Apache, or even with mod_python are also options.
+ .
+ This version is backwards incompatible with the 2.2 version in some
+ ways. See http://www.cherrypy.org/wiki/UpgradeTo30.
