=== debian/tests/control ===
Tests: python-cherrypy3
Depends: @, python-all, python-nose

Tests: python3-cherrypy3
Depends: @, python3-all, python3-nose
