=== debian/watch ===
version=3
opts="uversionmangle=s/([a-z]+\d+)$/~$1/" \
 http://download.cherrypy.org/cherrypy/([\d\.a-zA-Z]+)/CherryPy-([^-]+)\.tar\.gz
