## cherrypy3 3.5.0

=== debian/changelog ===
cherrypy3 (3.5.0-2build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 03:33:10 +0000

cherrypy3 (3.5.0-2) unstable; urgency=medium

  * debian/control:
  - set team as maintainer

 -- Gustavo Noronha Silva <kov@debian.org>  Mon, 01 Dec 2014 14:24:00 -0200

cherrypy3 (3.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * d/patches:
    - 02_compat.diff: This was previously removed from the quilt stack
      but not from svn.  That's now done.
    - 02_issue_1328.diff, 03_issue_1199.diff, 04_issue_1315.diff:
      Added to work around DEP-8 test failures.

 -- Barry Warsaw <barry@debian.org>  Mon, 30 Jun 2014 17:19:47 -0400

cherrypy3 (3.3.0-1) unstable; urgency=medium

  * Team upload.

  [ Jackson Doak ]
  * debian/rules: Move cherryd to /usr/sbin/ where it belongs
  * debian/control, debian/tests/: Add autopkgtest. Thanks Chuck Short
  * debian/control: Add missing depends on python-routes. LP: #463065

  [ Barry Warsaw ]
  * New upstream version.
    - Closes: #494342
  * debian/control: Bump Standards-Version to 3.9.5 with no other
    changes necessary.
  * Rebuild drops dependency on python3.3.  Closes: #751642
  * debian/watch: Updated to point to PyPI page.
  * debian/rules: Temporarily make cherrypy/cherryd executable so
    help2man can extract the --help text.
  * debian/patches:
    - 00_supress_profiler_warning.diff: Refreshed.
    - 01_cherryd_location_fix.diff: Refreshed.
    - 02_compat.diff: Removed; applied upstream.  Closes: #722671

 -- Barry Warsaw <barry@debian.org>  Tue, 17 Jun 2014 18:37:53 -0400
