=== debian/control ===
--- 
+++ 
@@ -1,21 +1,23 @@
 Source: cherrypy3
 Section: python
 Priority: optional
-Maintainer: Gustavo Noronha Silva <kov@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper7, quilt, python-setuptools (>= 0.6a9), python-all, help2man, python-nose
-Build-Recommends-Indep: python-epydoc
-Standards-Version: 3.8.4
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Build-Depends: debhelper (>= 9), python-setuptools (>= 0.6a9), python-all (>= 2.6.6-3~), help2man, python-nose, python3-all, python3-nose, python3-setuptools, dh-python
+Build-Depends-Indep: python-epydoc
+Standards-Version: 3.9.5
 Homepage: http://www.cherrypy.org/
 X-Python-Version: >= 2.3
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/cherrypy3/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/cherrypy3/trunk/
+X-Python3-Version: >= 3.2
+XS-Testsuite: autopkgtest
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/cherrypy3/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/cherrypy3/trunk/
 
 Package: python-cherrypy3
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}
+Depends: ${python:Depends}, ${misc:Depends}, python-routes
 Provides: ${python:Provides}
-Conflicts: python2.3-cherrypy, python2.4-cherrypy, python-cherrypy
+Conflicts: python-cherrypy
 Description: Python web development framework - version 3
  CherryPy is a pythonic, object-oriented web development framework. It
  provides the foundation over which complex web-based applications can
@@ -34,3 +36,25 @@
  .
  This version is backwards incompatible with the 2.2 version in some
  ways. See http://www.cherrypy.org/wiki/UpgradeTo30.
+
+Package: python3-cherrypy3
+Architecture: all
+Depends: ${python3:Depends}, ${misc:Depends}, python3-routes
+Description: Python 3 web development framework - version 3
+ CherryPy is a pythonic, object-oriented web development framework. It
+ provides the foundation over which complex web-based applications can
+ be written, with little or no knowledge of the underlying
+ protocols. CherryPy allows developers to build web applications in
+ much the same way they would build any other object-oriented Python
+ program. This usually results in smaller source code developed in
+ less time.
+ .
+ CherryPy is up-to-date with the latest developments on using Python
+ for web development: it features a bundled WSGI server, and is able
+ to integrate with other dispatching mechanisms, such as
+ Routes. CherryPy can be run as a standalone application, since it
+ provides its own HTTP server; setting it up behind another HTTP
+ server, such as Apache, or even with mod_python are also options.
+ .
+ This version is backwards incompatible with the 2.2 version in some
+ ways. See http://www.cherrypy.org/wiki/UpgradeTo30.
