## cherrypy3 8.9.1

=== debian/changelog ===
cherrypy3 (8.9.1-2) unstable; urgency=medium

  Upload to unstable (no complains came up && it passed my own smoke tests).
  * [6ccf4e9] rules: Minor line cosmetics.
  * [391e4a0] Add README.source: Notes about test suite and upstream >= 9.
  * Bug fix: "please make the build reproducible", thanks to Sascha
    Steinbiss (Closes: #827313). No explicit change, however 8.9.1-1
    tested reproducible by QA.

 -- Stephan Sürken <absurd@debian.org>  Tue, 23 Jan 2018 16:30:49 +0100

cherrypy3 (8.9.1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Carl Suster ]
  * New upstream release (Closes: #828942, #801496).
  * Add myself to uploaders.
  * d/patches:
    - 00_supress_profiler_warning.diff: delete since profiler is included
      in Debian python packages now (Closes: #460616).
    - 01_cherryd_location_fix.diff: delete since this is instead handled with
      the test suite configuration in d/rules.
    - 02_issue_1328.diff, 03_issue_1199.diff, 04_issue_1315.diff:
      delete since these issues have now been fixed upstream.
    - Add 0001-disable-sphinx-rst.linker-extension.patch to work around a
      harmless B-D on an unpackaged sphinx extension.
    - Add 0002-use-mock.mock-instead-of-unittest.mock.patch to use the
      Debian-packaged version of the unittest.mock backport to Python 2.
    - Add 0003-disable-test_antistampede.patch to skip a test which would run
      for a long time if it fails. Either this or upstream changes make the
      test suite run quickly now (Closes: #785647).
    - Add 0004-unrepr-also-from-__builtin__.patch to fix a Python 2-only test
      failure pending more thorough investigation.
  * Remove d/README.Debian (it described the previous profiler situation).
  * Remove d/README.source (it described the pre-DPMT workflow).
  * d/control:
    - Run wrap-and-sort -abst.
    - Bump standards version to 3.9.8 (no changes).
    - Add missing B-Ds on:
      python-coverage and python3-coverage,
      python-mock and python3-mock,
      python-objgraph and python3-objgraph,
      python-pytest and python3-pytest,
      python-setuptools-scm and python3-setuptools-scm,
    - Add missing Recommends on:
      python-openssl and python3-openssl,
      python-routes and python3-routes (was Depends),
      python-simplejson and python3-simplejson,
    - Remove old autopkgtest XS-Testsuite header.
    - Make the package descriptions different.
  * d/rules:
    - LICENSE.{ txt => md }.
    - Install executables in /usr/bin instead of /usr/sbin.
    - Also generate manpage for cherryd3 with help2man.
    - Only install the tutorial in the -doc package.
  * d/docs: README.{ txt => rst }.
  * Raise debhelper compat to 10:
    - replace override_dh_clean with d/clean.
  * d/source/options (extend-diff-ignore) and d/clean:
    - add .egg-info.
    - add files created by test suite.
  * d/copyright: update to DEP-5 format and extend years.
  * Replace epydoc API docs with sphinx docs in a -doc package:
    - d/control: add a -doc binary package (Closes: #787756).
    - d/control: drop B-D-I on python-epydoc (helps with #827313).
    - replace d/python-cherrypy3{ .doc-base.api => -doc.doc-base }.
    - d/rules: remove epydoc overrides and add for sphinx instead.
    - remove d/python-cherrypy3.install which was for epydoc files.
    - also install the rst files as txt documentation.
  * Remove broken tutorial link from d/python-cherrypy3.install
    (Closes: #781349).
  * Remove outdated d/NEWS.
  * Enable test suite using pybuild (or nosetests) and don't install it.
  * Install tutorial as documentation with d/python-cherrypy3-doc.docs.

  [ Stephan Sürken ]
  * New upstream: 8.9.1
  * [b3dfbc3] control: b-d on python*3*-sphinx (Fixes lintian/build-
    depends-on-python-sphinx-only).
  * [bfc0916] control/rules: Use cherryd man page from upstream again
    (seems to have been revived as man/cherryd.1).
  * [10d7339] rules: sphinx: Explicitly use py3 sphinx-build script (fixes
    import errors when py2-sphinx is istalled as well).
  * [c8ad646] rules: testsuite: Ignore test suite failures for now, and
    add some notes.
  * [07ecdbc] control: Update to Stds-Ver 4.1.1: Update Format-URL in
    copyright to https.
  * [05ef63c] control: Add myself to uploaders.
  * [5de3a00] control: p-c-doc: Add missing Breaks/replaces after doc
    split.

 -- Stephan Sürken <absurd@debian.org>  Sun, 26 Nov 2017 21:21:00 +0100
