=== debian/watch ===
version=3
https://pypi.python.org/packages/source/C/CherryPy/CherryPy-(.*).tar.gz
